From: Shengjing Zhu <zhsj@debian.org>
Date: Mon, 14 Dec 2020 00:14:34 +0800
Subject: Skip failed test on arm64

Bug: https://github.com/go-delve/delve/issues/2212
---
 pkg/proc/proc_test.go      | 2 ++
 pkg/proc/variables_test.go | 3 +++
 2 files changed, 5 insertions(+)

diff --git a/pkg/proc/proc_test.go b/pkg/proc/proc_test.go
index be59bde..c459f38 100644
--- a/pkg/proc/proc_test.go
+++ b/pkg/proc/proc_test.go
@@ -2932,6 +2932,7 @@ func frameInFile(frame proc.Stackframe, file string) bool {
 }
 
 func TestCgoStacktrace(t *testing.T) {
+	skipOn(t, "https://github.com/go-delve/delve/issues/2212", "arm64")
 	if runtime.GOOS == "windows" {
 		ver, _ := goversion.Parse(runtime.Version())
 		if ver.Major > 0 && !ver.AfterOrEqual(goversion.GoVersion{Major: 1, Minor: 9, Rev: -1}) {
@@ -4784,6 +4785,7 @@ func TestWatchpointsBasic(t *testing.T) {
 }
 
 func TestWatchpointCounts(t *testing.T) {
+	skipOn(t, "only fail on ci.debian.net machine", "arm64")
 	skipOn(t, "not implemented", "freebsd")
 	skipOn(t, "not implemented", "386")
 	skipOn(t, "see https://github.com/go-delve/delve/issues/2768", "windows")
diff --git a/pkg/proc/variables_test.go b/pkg/proc/variables_test.go
index 8361afd..e3dcd31 100644
--- a/pkg/proc/variables_test.go
+++ b/pkg/proc/variables_test.go
@@ -1692,6 +1692,9 @@ func TestPluginVariables(t *testing.T) {
 }
 
 func TestCgoEval(t *testing.T) {
+	if runtime.GOARCH == "arm64" {
+		t.Skip("https://github.com/go-delve/delve/issues/2212")
+	}
 	protest.MustHaveCgo(t)
 
 	testcases := []varTest{
